table ncbiRefSeqOtherBb
"Additional information for NCBI 'Other' annotation"
    (
    string chrom;      "Chromosome (or contig, scaffold, etc.)"
    uint   chromStart; "Start position in chromosome"
    uint   chromEnd;   "End position in chromosome"
    string name;       "Name of item"
    uint   score;      "Score from 0-1000"
    char[1] strand;    "+ or 
    uint thickStart;   "Start of where display should be thick (start codon)"
    uint thickEnd;     "End of where display should be thick (stop codon)"
    uint reserved;     "Used as itemRgb as of 2004-11-22"
    int blockCount;    "Number of blocks"
    int[blockCount] blockSizes; "Comma separated list of block sizes"
    int[blockCount] chromStarts; "Start positions relative to chromStart"

    string gene;        "gene name"
    string gbkey;       "genbank key type: CDS, Gene, V_segment, ncRNA, rRNA, tRNA"
    string ID;          "genbank ID"
    string Dbxref;      "DB cross reference"
    string pseudo;      "'true' if pseudogene"
    string geneBiotype; "gene biotype: C_region, J_segment_pseudogene, pseudogene or other"
    string Name2;        "additional gene name"
    string description; "annotation description"
    string geneSynonym; "additional gene name"
    string product;     "gene product"
    string ncrnaClass;  "ncRNA class: miRNA or empty"
    string exception;   "exception note"
    string partial;     "'true' if partial"
    string Note;        "additional note"
    string anticodon;   "anti-codon"
    string startRange;  "start range"
    string endRange;    "end range"
    string codons;      "codons"
    string modelEvidence;  "evidence notes"
)
